Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.kodo.runtime
Interface TransactionListener

public interface TransactionListener

An entity that wishes to be notified on PersistenceManager transactional status changes.

Method Summary
`void` | `transactionCommitted(com.solarmetric.rd.kodo.runtime.TransactionEvent event)` Notification that a transaction has successfully committed.
`void` | `transactionCommitting(com.solarmetric.rd.kodo.runtime.TransactionEvent event)` Notification that a transaction is being committed.
`void` | `transactionRolledBack(com.solarmetric.rd.kodo.runtime.TransactionEvent event)` Notification that a transaction has rolled back.
`void` | `transactionRollingBack(com.solarmetric.rd.kodo.runtime.TransactionEvent event)` Notification that a transaction is being committed.
`void` | `transactionStarted(com.solarmetric.rd.kodo.runtime.TransactionEvent event)` Notification that a transaction has begun.

Method Detail

### transactionStarted

    public void transactionStarted(com.solarmetric.rd.kodo.runtime.TransactionEvent event)

  Notification that a transaction has begun.

### transactionCommitting

    public void transactionCommitting(com.solarmetric.rd.kodo.runtime.TransactionEvent event)

  Notification that a transaction is being committed.

### transactionCommitted

    public void transactionCommitted(com.solarmetric.rd.kodo.runtime.TransactionEvent event)

  Notification that a transaction has successfully committed.

### transactionRollingBack

    public void transactionRollingBack(com.solarmetric.rd.kodo.runtime.TransactionEvent event)

  Notification that a transaction is being committed.

### transactionRolledBack

    public void transactionRolledBack(com.solarmetric.rd.kodo.runtime.TransactionEvent event)

  Notification that a transaction has rolled back.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.